
jQuery(function($) {
	
var speed = 1500; // フェードインスピード
$('.intro').each(function () {
	$(this).stop().animate({
		opacity: 1
	}, speed);
});

/* スマホとタブレットの時はスライドメニュー */
  var windowWidth = $(window).width();
  var windowST = 768 - 20;	/* スマホとタブレットの幅 - スクロールバー幅 */
  
  if (windowWidth <= windowST) {
	$('#right-menu').sidr({
	  name: 'sidr-right',
	  side: 'right' // By default
	});
	$('div#content').click(function(){
		$.sidr('close','sidr-right');
	});
	$('#right-menu2').sidr({
	  name: 'sidr-right2',
	  side: 'right' // By default
	});
	$('div#content').click(function(){
		$.sidr('close','sidr-right2');
	});
  } else {
	 $('#right-menu').hide();
	 $('#right-menu2').hide();
  }
 

/* スマホとタブレットの時はスライドメニュー リサイズしたとき */  
$(window).resize(function() {
	var windowWidth = $(window).width();
	var windowST = 768 - 20;	/* スマホとタブレットの幅 - スクロールバー幅 */

	if (windowWidth <= windowST) {
		$('#right-menu').show();
		$('#right-menu').sidr({
		  name: 'sidr-right',
		  side: 'right' // By default
		});
		$('#right-menu2').show();
		$('#right-menu2').sidr({
		  name: 'sidr-right2',
		  side: 'right' // By default
		});
	} else {
		$('#right-menu').hide();
		$('#sidr-right').removeClass('sidr');
		$('#right-menu2').hide();
		$('#sidr-right2').removeClass('sidr');
	}

});	

var headerHight = 70; //ヘッダの高さ
$('a[href^=#]').click(function(){
	var windowWidth = $(window).width();
	var windowST = 768 - 20;	/* スマホとタブレットの幅 - スクロールバー幅 */

	if (windowWidth > windowST) {
		var href= $(this).attr("href");
		var target = $(href == "#" || href == "" ? 'html' : href);
		var position = target.offset().top-headerHight; //ヘッダの高さ分位置をずらす
		$("html, body").animate({scrollTop:position}, 550, "swing");
		return false;
	}
});

$(window).scroll(function(){
	var scrolltop = $(window).scrollTop();
	if (scrolltop>=100) {
		$(".inner-nav").addClass("sticky");
	} else {
		$(".inner-nav").removeClass("sticky");
	}

    var h = $(window).height(); // ウィンドウの高さを取得
	var speed = 300; // フェードインスピード
	$('.box_outer, .slow').each(function () {
		var thisTop = $(this).offset().top; //コンテンツの高さ
		var thisShow = thisTop - h / 1.2; //出現位置
		if (scrolltop >= thisShow) {
			$(this).stop().animate({
				opacity: 1
			}, speed);
		} else {
			$(this).stop().animate({
				opacity: 0
			}, speed);
		}
	});
//	$('.frame1, .frame3, .frame6, .frame8').each(function () {
//		var thisTop = $(this).offset().top; //コンテンツの高さ
//		var thisShow = thisTop - h /1.1; //出現位置	
//
//		if (scrolltop >= thisShow) {
//			//$(this).css('top', (scrolltop - thisTop) / 6);
//			$('.frame_outer').css('position', 'fixed');
//			$('.frame_outer').css('top', scrolltop);
//		}	
//	});
	
	$('.paragraph2').each(function () {
		var thisTop = $(this).offset().top; //コンテンツの高さ
		var thisShow = thisTop - h / 3; //出現位置	

		if (scrolltop >= thisShow) {
			$('.box6').css('-webkit-transition', 'background-color 1s linear');
			$('.box6').css('background-color', '#ffffff');
		} else {
			$('.box6').css('background-color', 'rgba(255, 255, 255, 0.08)');
		}	
	});
//	$('.paragraph3').each(function () {
//		var thisTop = $(this).offset().top; //コンテンツの高さ
//		var thisShow = thisTop - h /1.1; //出現位置	
//
//		if (scrolltop >= thisTop) {
////			$('.box6').css('background-image', 'url("./wp-content/themes/apteq_original/img/pic1.jpg")');
//		} else {
////			$('.box6').css('background-image', 'none');
//		}	
//	});

	$('.menu-close').on('click',function(){
			//$('.sidr.right').css('right', '-200px');
			$('#right-menu').trigger('click');
			//$('body').removeClass('sidr-open sidr-right-open');
	});

	
	var value = $(window).scrollTop(); //スクロールの値を取得	
	$('#bg-hack').css('top', -(value / 6));
	$('.intro p').css('margin', -(value / 2));
	//$('.box2').css('top', -(value / 6));
	//$('.box4').css('top', -(value / 6));
	
});
});



	